/**
* @version		$Id: modal.js 5263 2006-10-02 01:25:24Z webImagery $
* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

/**
 * JCaption javascript behavior
 *
 * Used for displaying image captions
 *
 * @package		Joomla
 * @since		1.5
 * @version     1.0
 */
var myCaption = new Class({
      
      initialize: function(selector)
      {
         this.selector = selector;
         $each($$(selector), function(item){
            this.createCaption(item);
         }, this);
      },
      
      createCaption: function(zielement)
      {
          var caption   = document.createTextNode(zielement.title);
          var container = document.createElement('div');
          var text      = document.createElement('p');
          var width     = zielement.getAttribute('width');
          var align     = zielement.getAttribute('align');
      
          if(!width) {
         width = zielement.width;
          }
      
          text.appendChild(caption);
          container.inject(zielement, 'before');
          container.appendChild(zielement);
          if(zielement.title != '') {
         container.appendChild(text);
          }
      
          container.className   = this.selector.replace('.', '_');
          container.className   = container.className + '' + align;
          container.setAttribute('style','float:'+align);
          container.style.width = width + 'px';
      }   
   });
   
   document.caption = null;
   
   window.addEvent('load', function() {
      var caption = new myCaption('img.caption')
      document.caption = caption
   });